---
title: Vladyslav Yanchenko
published: true
taxonomy:
    category: [bp2025]
    tag: [klaud]
    author: Daniel Hladek
---


rok začiatku štúdia: 2022

# Bakalárska práca 2025

Názov: Testovanie v klaudového riešenia na platforme Kuberntes

Vedúci: doc. Matúš Pleva PhD.

Nápad:

- Vytvoriť webovú aplikáciu s použitím Spring Boot, využitie klaudovej databázy Azure a klaudového úložiska. realizovať JWT

Stretnutie 8.11.2024

Stav:

- Backend SpringBoot, frontend React-Next.js.
- Urobená základná autentifikácia pomocou HTTP Basic Auth.
- Vyskúšaná kontajnerizácia.
- Kódy sú na GitHUBe. https://github.com/MrSid333/bankapp.git
- Aktivované Azure a Azure PostgreSQL aj úložisko. Zatiaľ nie je prepojené.  úložisko.
- Naštudované GITHUB CI-CD.
- Nainštalované minikube.
- Práca na textoch.

Úlohy:

- Pokračujte v otvorených úlohách. 
- Vytvorte nasadenie aplikácie pomocou Kubernetes.
- Napíšte automatické testy a zostavte Github CI-CD pipeline. 
- Zistite aké obmedzenia má GitHUB Pipeline.
- Píšte BP pošlite mi draft.

Zásobník úloh:

- Vytvorte nasadenie Vašej aplikácie do Azure a skritpy pre nasadenie dajte na GitHUB. Dávajte pozor aby ste nezverejnili Vaše prístupové údaje.
- Napíšte článok do "online média" o CI CD v klaude vo forme tutoriálu pre študentov. Z tutoriálu sa študent dozvie, čo je to CI CD, ako to vytvoriť pre konkretny projekt na GITHUbe.
- Zostavte pipeline pomocou iného nástroja (Azure, Jenkins) a porovnajte ich.



Stretnutie 3.10.2024

Úlohy:

-	[x] Preštudujte si platformu Kubernetes. Napíšte čo je to. Napíšte čo je to kontajnerizácia.
-	[x] Nainštalujte si microk8s. Aktivujte si MS Azure a naučte sa to používať.
-	[x] Vytvorte webovú aplikáciu, kotrá sa bude zkladať z viacerých mikroslužieb a bude využívať klaudové úložisko.
-	Napíšte čo je to CI CD a na čo sa využíva. Zistitie aké CI CD nástroje existujú. Vyberte si vhodný nástroj. Napr. GIT HUB, aleo GitLAB, alebo Jenkins. Alebo použite pipeline z Azure.
-	Ku aplikácii navrhnite niekoľko automatických testov.
-	Zostavte CI CD Pipeline pre automatické zostavenie a testovanie aplikácie



